/// <reference types="node" />
import { ChainAPIClient } from './chain_api_client';
import { ChainConnectorDB } from './db';
import { Logger } from './types';
interface NewBlockHandlerConfig {
    registrationHeight: number;
    ownChainID: Buffer;
    receivingChainID: Buffer;
    maxCCUSize: number;
    ccuFee: string;
    isSaveCCU: boolean;
    ccuSaveLimit: number;
}
interface NewBlockHandlerInitArgs {
    logger: Logger;
    db: ChainConnectorDB;
    sendingChainAPIClient: ChainAPIClient;
    receivingChainAPIClient: ChainAPIClient;
}
export declare class BlockEventHandler {
    private readonly _ownChainID;
    private readonly _ccuHandler;
    private readonly _ccuFrequency;
    private readonly _ccuSaveLimit;
    private readonly _receivingChainID;
    private readonly _isReceivingChainMainchain;
    private _db;
    private _logger;
    private _sendingChainAPIClient;
    private _receivingChainAPIClient;
    private _lastCertificate;
    private _interoperabilityMetadata;
    private _heightToDeleteIndex;
    private _receivingChainFinalizedHeight;
    private _isReceivingChainRegistered;
    private _lastSentCCUTxID;
    private _lastSentCCM;
    private _lastIncludedCCMOnReceivingChain;
    private _lastDeletionHeight;
    private _sentCCUTxTimeout;
    constructor(config: NewBlockHandlerConfig);
    load(args: NewBlockHandlerInitArgs): Promise<void>;
    private _handleNewBlock;
    private _saveOnNewBlock;
    private _initializeReceivingChainClient;
    private _newBlockReceivingChainHandler;
    private _cleanup;
    private _deleteBlockHandler;
}
export {};
