/// <reference types="node" />
import { AggregateCommit, BFTHeights, Certificate, LastCertificate } from 'lisk-sdk';
import { BlockHeader } from './types';
import { ChainConnectorDB } from './db';
export declare const getCertificateFromAggregateCommitByBlockHeader: (aggregateCommit: AggregateCommit, blockHeader: BlockHeader) => Certificate;
export declare const checkChainOfTrust: (lastValidatorsHash: Buffer, blsKeyToBFTWeight: Record<string, bigint>, lastCertificateThreshold: bigint, aggregateCommit: AggregateCommit, db: ChainConnectorDB) => Promise<boolean>;
export declare const getNextCertificateFromAggregateCommits: (db: ChainConnectorDB, bftHeights: BFTHeights, lastCertificate: LastCertificate) => Promise<Certificate | undefined>;
