import { BasePluginEndpoint, PluginEndpointContext, BlockHeaderJSON } from 'lisk-sdk';
import { AggregateCommitJSON, CCMWithHeightJSON, LastSentCCMWithHeightJSON, ValidatorsDataHeightJSON } from './types';
import { ChainConnectorDB } from './db';
export declare class ChainConnectorEndpoint extends BasePluginEndpoint {
    private db;
    private _encryptedPrivateKey;
    load(encryptedPrivateKey: string, store: ChainConnectorDB): void;
    getSentCCUs(_context: PluginEndpointContext): Promise<{
        list: Record<string, unknown>[];
        total: number;
    }>;
    getAggregateCommits(context: PluginEndpointContext): Promise<AggregateCommitJSON[]>;
    getBlockHeaders(context: PluginEndpointContext): Promise<BlockHeaderJSON[]>;
    getCrossChainMessages(context: PluginEndpointContext): Promise<CCMWithHeightJSON[]>;
    getLastSentCCM(_context: PluginEndpointContext): Promise<LastSentCCMWithHeightJSON>;
    getAllValidatorsData(_context: PluginEndpointContext): Promise<ValidatorsDataHeightJSON[]>;
    authorize(context: PluginEndpointContext): Promise<{
        result: string;
    }>;
}
