/// <reference types="node" />
import { AggregateCommit, ChainAccount, ChainAccountJSON, ChannelData, ChannelDataJSON, ProveResponse } from 'lisk-sdk';
import { BFTParametersJSON, BFTParametersWithoutGeneratorKey, CCMWithHeight, CCMWithHeightJSON, CCMsFromEvents, CCMsFromEventsJSON, ProveResponseJSON, ValidatorsDataWithHeight } from './types';
export declare const getMainchainID: (chainID: Buffer) => Buffer;
export declare const getTokenIDLSK: (chainID: Buffer) => Buffer;
export declare const aggregateCommitToJSON: (aggregateCommit: AggregateCommit) => {
    height: number;
    aggregationBits: string;
    certificateSignature: string;
};
export declare const ccmsFromEventsToJSON: (ccmsFromEvents: CCMsFromEvents) => CCMsFromEventsJSON;
export declare const ccmsWithHeightToJSON: (ccmsWithHeight: CCMWithHeight[]) => CCMWithHeightJSON[];
export declare const validatorsHashPreimagetoJSON: (validatorsHashPreimage: ValidatorsDataWithHeight[]) => {
    certificateThreshold: string;
    validators: {
        address: string;
        bftWeight: string;
        blsKey: string;
    }[];
    validatorsHash: string;
    height: number;
}[];
export declare const channelDataToJSON: (channelData: ChannelData) => {
    messageFeeTokenID: Buffer;
    outbox: {
        appendPath: string[];
        size: number;
        root: string;
    };
    inbox: {
        appendPath: string[];
        size: number;
        root: string;
    };
    partnerChainOutboxRoot: string;
    minReturnFeePerByte: string;
};
export declare const channelDataJSONToObj: (channelData: ChannelDataJSON) => ChannelData;
export declare const chainAccountDataJSONToObj: (chainAccountJSON: ChainAccountJSON) => ChainAccount;
export declare const proveResponseJSONToObj: (proveResponseJSON: ProveResponseJSON) => ProveResponse;
export declare const bftParametersJSONToObj: (bftParametersJSON: BFTParametersJSON) => BFTParametersWithoutGeneratorKey;
