/// <reference types="node" />
import { BaseEvent, EventQueuer } from '../../base_event';
export interface InvalidOutboxRootVerificationData {
    inboxRoot: Buffer;
    partnerChainOutboxRoot: Buffer;
}
export declare const invalidOutboxRootVerificationSchema: {
    $id: string;
    type: string;
    required: string[];
    properties: {
        inboxRoot: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
        partnerChainOutboxRoot: {
            dataType: string;
            fieldNumber: number;
            minLength: number;
            maxLength: number;
        };
    };
};
export declare class InvalidOutboxRootVerificationEvent extends BaseEvent<InvalidOutboxRootVerificationData> {
    schema: {
        $id: string;
        type: string;
        required: string[];
        properties: {
            inboxRoot: {
                dataType: string;
                fieldNumber: number;
                minLength: number;
                maxLength: number;
            };
            partnerChainOutboxRoot: {
                dataType: string;
                fieldNumber: number;
                minLength: number;
                maxLength: number;
            };
        };
    };
    error(ctx: EventQueuer, chainID: Buffer, data: InvalidOutboxRootVerificationData): void;
}
